#ifndef __TERMINALIO_H__
#define __TERMINALIO_H__

/*
 * terminalIO is just a C++ wrapper class for the C ttyio routines.
 */

class terminalIO
{
 public:
  terminalIO(const char * const tty_name);
  ~terminalIO();
  int baudrate(void) const;
  void baudrate(int newRate);
  int bytes(void);
  char *get_bytes(void);
  void put_bytes(const char * const buffer, int maxbytes);
 private:
  int m_fd;
  int m_baudrate;
  int m_bytes;			/* Bytes returned by last get */
};

#endif /* __TERMINALIO_H__ */
