#ifndef __TTYIO_H__
#define __TTYIO_H__

#ifdef __cplusplus
extern "C" {
#endif

extern int open_pcr1000(const char * const tty_name);
extern int close_pcr1000(void);
extern int set_baudrate_pcr1000(int inrate, int outrate);
extern int get_baudrate_pcr1000(int *inrate, int *outrate);
extern int put_bytes_pcr1000(const char * const buffer, int nbytes);
extern int get_bytes_pcr1000(char * buffer, int maxbytes);

#ifdef __cplusplus
}
#endif

#endif /*  __TTYIO_H__ */

