#include "pcr1000.h"

#include <stdio.h>
#include <stdlib.h>

static const char * const default_tty_name = "/dev/tty.USA19QI12P1.1";

int main(int argc, char *argv[])
{

  const char * tty_name;

  /* the only arg is an alternative file name */
  if (argc == 1) {
    tty_name = default_tty_name;
  } else if (argc == 2) {
    tty_name = argv[1];
  } else {
    fprintf(stderr,"Usage: %s [tty name]\n", argv[0]);
    return 1;
  }

  pcr1000 pcr(tty_name);

  return 0;
}
